Name:          scalastyle-maven-plugin
Version:       0.4.0
Release:       1%{?dist}
Summary:       Maven plugin for Scalastyle
License:       ASL 2.0
URL:           https://github.com/scalastyle
Source0:       https://github.com/scalastyle/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires: mvn(org.codehaus.plexus:plexus-resources)
%if %{fedora} >= 21
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%else
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%endif
BuildRequires: mvn(org.scalastyle:scalastyle_2.10)
BuildRequires: maven-local
BuildRequires: maven-clean-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-plugin-plugin
BuildArch:     noarch

%description
This project is intended to provide maven plugin support for Scalastyle.
For more information about Scalastyle, see https://github.com/scalastyle/scalastyle

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find . -name "*.class" -delete
find . -name "*.jar" -delete
%pom_remove_plugin :maven-source-plugin

%build

%mvn_file : %{name}
# not able to run test suite and javadoc task
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md

%files javadoc -f .mfiles-javadoc

%changelog
* Fri Jun 13 2014 gil cattaneo <puntogil@libero.it> 0.4.0-1
- initial rpm
